import { jsx as _jsx } from "react/jsx-runtime";
import { memo, useMemo } from 'react';
import { VerbDescription } from '../verbForm/VerbDescription.js';
export const RollupDescription = /*#__PURE__*/ memo(function RollupDescription(props) {
    const rows = useMemo(()=>{
        const { step: { args  } ,  } = props;
        return [
            {
                before: 'rollup column',
                value: args.column,
                sub: [
                    {
                        before: 'with function',
                        value: args.operation
                    }, 
                ]
            }, 
        ];
    }, [
        props
    ]);
    return /*#__PURE__*/ _jsx(VerbDescription, {
        ...props,
        rows: rows
    });
});
